## redeclipse 1.2

=== src/Makefile ===
#CXXFLAGS= -ggdb3
CXXFLAGS= -O3 -fomit-frame-pointer
override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti

PLATFORM= $(shell uname -s)
PLATFORM_SUFFIX=_native

INCLUDES= -Ishared -Iengine -Igame -Ienet/include

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
	STRIP=strip
endif
endif

MV=mv

ifneq (,$(findstring MINGW,$(PLATFORM)))
WINDRES= windres
CLIENT_INCLUDES= -DINTERFACE -DIRC $(INCLUDES) -Iinclude
CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
else
CLIENT_INCLUDES= -DINTERFACE -DIRC $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib -lX11 `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
endif
ifeq ($(PLATFORM),Linux)
CLIENT_LIBS+= -lrt
endif
CLIENT_OBJS= \
	shared/crypto.o \
	shared/geom.o \
	shared/stream.o \
	shared/tools.o \
	shared/zip.o \
	engine/bih.o \
	engine/blend.o \
	engine/blob.o \
	engine/client.o \
	engine/command.o \
	engine/console.o \
	engine/decal.o \
	engine/dynlight.o \
	engine/glare.o \
	engine/grass.o \
	engine/irc.o	\
	engine/lightmap.o \
	engine/main.o \
	engine/material.o \
	engine/menus.o \
	engine/movie.o \
	engine/normal.o \
	engine/octa.o \
	engine/octaedit.o \
	engine/octarender.o \
	engine/physics.o \
	engine/pvs.o \
	engine/rendergl.o \
	engine/rendermodel.o \
	engine/renderparticles.o \
	engine/rendersky.o \
	engine/rendertext.o \
	engine/renderva.o \
	engine/server.o \
	engine/serverbrowser.o \
	engine/shader.o \
	engine/shadowmap.o \
	engine/sound.o \
	engine/texture.o \
	engine/ui.o \
	engine/water.o \
	engine/world.o \
	engine/worldio.o \
	game/ai.o \
	game/client.o \
	game/capture.o \
	game/defend.o \
	game/bomber.o \
	game/entities.o \
	game/game.o \
	game/hud.o \
	game/physics.o \
	game/projs.o \
	game/scoreboard.o \
	game/server.o \
	game/waypoint.o \
	game/weapons.o

CLIENT_PCH= shared/cube.h.gch engine/engine.h.gch game/game.h.gch

ifneq (,$(findstring MINGW,$(PLATFORM)))
SERVER_INCLUDES= -DSTANDALONE -DMASTERSERVER -DIRC $(INCLUDES) -Iinclude
SERVER_LIBS= -mwindows -Llib -lzdll -lenet -lws2_32 -lwinmm
else
SERVER_INCLUDES= -DSTANDALONE -DMASTERSERVER -DIRC $(INCLUDES)
SERVER_LIBS= -Lenet/.libs -lenet -lz
endif
SERVER_OBJS= \
	shared/crypto-standalone.o \
	shared/geom-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/irc-standalone.o \
	engine/master-standalone.o \
	engine/server-standalone.o \
	game/server-standalone.o

default: all

enet/Makefile:
	cd enet; ./configure --enable-shared=no --enable-static=yes

libenet: enet/Makefile
	$(MAKE) -C enet/ all

clean-enet: enet/Makefile
	$(MAKE) -C enet/ clean

clean: clean-client clean-server

clean-client:
	@rm -fv $(CLIENT_PCH) $(CLIENT_OBJS) reclient

clean-server:
	@rm -fv $(SERVER_OBJS) reserver

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -o $(subst .h.gch,.tmp.h.gch,$@) $(subst .h.gch,.h,$@)
	$(MV) $(subst .h.gch,.tmp.h.gch,$@) $@

%-standalone.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)
$(filter shared/%,$(CLIENT_OBJS)): $(filter shared/%,$(CLIENT_PCH))
$(filter engine/%,$(CLIENT_OBJS)): $(filter engine/%,$(CLIENT_PCH))
$(filter game/%,$(CLIENT_OBJS)): $(filter game/%,$(CLIENT_PCH))

$(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)

ifneq (,$(findstring MINGW,$(PLATFORM)))
client: $(CLIENT_OBJS)
	$(WINDRES) -i redeclipse.rc -J rc -o redeclipse.res -O coff 
	$(CXX) $(CXXFLAGS) -o ../bin/reclient.exe redeclipse.res $(CLIENT_OBJS) $(CLIENT_LIBS)

server: $(SERVER_OBJS)
	$(WINDRES) -i redeclipse.rc -J rc -o redeclipse.res -O coff 
	$(CXX) $(CXXFLAGS) -o ../bin/reserver.exe redeclipse.res $(SERVER_OBJS) $(SERVER_LIBS)

install-client: client
ifneq (,$(STRIP))
	$(STRIP) ../bin/reclient.exe
endif

install-server: server
ifneq (,$(STRIP))
	$(STRIP) ../bin/reserver.exe
endif
else
client: libenet $(CLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o reclient $(CLIENT_OBJS) $(CLIENT_LIBS)
ifneq (,$(STRIP))
	$(STRIP) reclient
endif

server: libenet $(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o reserver $(SERVER_OBJS) $(SERVER_LIBS)
ifneq (,$(STRIP))
	$(STRIP) reserver
endif

install-client: client
	install -d ../bin
	install -m 755 reclient ../bin/reclient$(PLATFORM_SUFFIX)

install-server: server
	install -d ../bin
	install -m 755 reserver ../bin/reserver$(PLATFORM_SUFFIX)

shared/cube2font.o: shared/cube2font.c
	$(CXX) $(CXXFLAGS) -c -o $@ $< `freetype-config --cflags`

cube2font: shared/cube2font.o
	$(CXX) $(CXXFLAGS) -o cube2font shared/cube2font.o `freetype-config --libs` -lz -lpng

install-cube2font: cube2font
	install -d ../bin
	install -m 755 cube2font ../bin/cube2font
endif

install: install-client install-server

depend:
	makedepend -Y -Ishared -Iengine -Igame -DINTERFACE -DIRC -DMASTERSERVER $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Igame -DINTERFACE -DIRC -DMASTERSERVER $(subst -standalone.o,.cpp,$(SERVER_OBJS))
	makedepend -a -o.h.gch -Y -Ishared -Iengine -Igame -DINTERFACE -DIRC -DMASTERSERVER $(subst .h.gch,.h,$(CLIENT_PCH))

all: client server

include system-install.mk

engine/engine.h.gch: shared/cube.h.gch
game/game.h.gch: shared/cube.h.gch engine/engine.h.gch

# DO NOT DELETE

shared/crypto.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/crypto.o: shared/ents.h shared/iengine.h shared/igame.h
shared/geom.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/geom.o: shared/ents.h shared/iengine.h shared/igame.h
shared/stream.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/stream.o: shared/ents.h shared/iengine.h shared/igame.h
shared/tools.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/tools.o: shared/ents.h shared/iengine.h shared/igame.h
shared/zip.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/zip.o: shared/ents.h shared/iengine.h shared/igame.h
engine/bih.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/bih.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h
engine/bih.o: engine/irc.h engine/sound.h engine/world.h engine/octa.h
engine/bih.o: engine/lightmap.h engine/bih.h engine/texture.h engine/model.h
engine/bih.o: engine/varray.h
engine/blend.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/blend.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h
engine/blend.o: engine/irc.h engine/sound.h engine/world.h engine/octa.h
engine/blend.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/blend.o: engine/model.h engine/varray.h
engine/blob.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/blob.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h
engine/blob.o: engine/irc.h engine/sound.h engine/world.h engine/octa.h
engine/blob.o: engine/lightmap.h engine/bih.h engine/texture.h engine/model.h
engine/blob.o: engine/varray.h
engine/client.o: engine/engine.h shared/cube.h shared/tools.h
engine/client.o: shared/command.h shared/geom.h shared/ents.h
engine/client.o: shared/iengine.h shared/igame.h engine/irc.h engine/sound.h
engine/client.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/client.o: engine/texture.h engine/model.h engine/varray.h
engine/command.o: engine/engine.h shared/cube.h shared/tools.h
engine/command.o: shared/command.h shared/geom.h shared/ents.h
engine/command.o: shared/iengine.h shared/igame.h engine/irc.h engine/sound.h
engine/command.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/command.o: engine/texture.h engine/model.h engine/varray.h
engine/console.o: engine/engine.h shared/cube.h shared/tools.h
engine/console.o: shared/command.h shared/geom.h shared/ents.h
engine/console.o: shared/iengine.h shared/igame.h engine/irc.h engine/sound.h
engine/console.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/console.o: engine/texture.h engine/model.h engine/varray.h
engine/decal.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/decal.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h
engine/decal.o: engine/irc.h engine/sound.h engine/world.h engine/octa.h
engine/decal.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/decal.o: engine/model.h engine/varray.h
engine/dynlight.o: engine/engine.h shared/cube.h shared/tools.h
engine/dynlight.o: shared/command.h shared/geom.h shared/ents.h
engine/dynlight.o: shared/iengine.h shared/igame.h engine/irc.h
engine/dynlight.o: engine/sound.h engine/world.h engine/octa.h
engine/dynlight.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/dynlight.o: engine/model.h engine/varray.h
engine/glare.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/glare.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h
engine/glare.o: engine/irc.h engine/sound.h engine/world.h engine/octa.h
engine/glare.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/glare.o: engine/model.h engine/varray.h engine/rendertarget.h
engine/grass.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/grass.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h
engine/grass.o: engine/irc.h engine/sound.h engine/world.h engine/octa.h
engine/grass.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/grass.o: engine/model.h engine/varray.h
engine/irc.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/irc.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h
engine/irc.o: engine/irc.h engine/sound.h engine/world.h engine/octa.h
engine/irc.o: engine/lightmap.h engine/bih.h engine/texture.h engine/model.h
engine/irc.o: engine/varray.h
engine/lightmap.o: engine/engine.h shared/cube.h shared/tools.h
engine/lightmap.o: shared/command.h shared/geom.h shared/ents.h
engine/lightmap.o: shared/iengine.h shared/igame.h engine/irc.h
engine/lightmap.o: engine/sound.h engine/world.h engine/octa.h
engine/lightmap.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/lightmap.o: engine/model.h engine/varray.h
engine/main.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/main.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h
engine/main.o: engine/irc.h engine/sound.h engine/world.h engine/octa.h
engine/main.o: engine/lightmap.h engine/bih.h engine/texture.h engine/model.h
engine/main.o: engine/varray.h
engine/material.o: engine/engine.h shared/cube.h shared/tools.h
engine/material.o: shared/command.h shared/geom.h shared/ents.h
engine/material.o: shared/iengine.h shared/igame.h engine/irc.h
engine/material.o: engine/sound.h engine/world.h engine/octa.h
engine/material.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/material.o: engine/model.h engine/varray.h
engine/menus.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/menus.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h
engine/menus.o: engine/irc.h engine/sound.h engine/world.h engine/octa.h
engine/menus.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/menus.o: engine/model.h engine/varray.h
engine/movie.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/movie.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h
engine/movie.o: engine/irc.h engine/sound.h engine/world.h engine/octa.h
engine/movie.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/movie.o: engine/model.h engine/varray.h
engine/normal.o: engine/engine.h shared/cube.h shared/tools.h
engine/normal.o: shared/command.h shared/geom.h shared/ents.h
engine/normal.o: shared/iengine.h shared/igame.h engine/irc.h engine/sound.h
engine/normal.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/normal.o: engine/texture.h engine/model.h engine/varray.h
engine/octa.o: engine/engine.h shared/cube.h shared/tools.h shared/command.h
engine/octa.o: shared/geom.h shared/ents.h shared/iengine.h shared/igame.h

=== debian/changelog ===
redeclipse (1.2-2ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE:
    Game maps can in cube2-engine games be transmitted either from server
    to client or from client to client, which includes a config file
    (mapname.cfg) which is in "cubescript" format, this makes it possible
    for an attacker to send a malign script via a new map (which must be
    chosen by admin on a server, or created in cooperative editing mode). A
    script like this could trivially read/write to any files which the user
    running the client has access to (it is executed when the client loads
    the map). (LP: #1034148)
    - Add debian/patches/security-text-command-fix.patch
      This patch stops "textedit" commands being able to be run in map-run
      scripts, thus disabling the ability to read/write to user files.

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Thu, 02 Aug 2012 15:01:30 +0200

redeclipse (1.2-2) unstable; urgency=low

  * debian/patches/backported-fix-icon-sizes.patch
    - Fix icon size and location, cherry-picked from upstream SVN
  * Standards-Version 3.9.3
    - Set final copyright Format: link
  * Instruct to use -h before -r in reportbug instrutions

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sun, 26 Feb 2012 00:20:12 +0100

redeclipse (1.2-1) unstable; urgency=low

  * Initial release (Closes: #626161)
  * debian/patches/:
    - windowed-by-default.patch: added
    - build-with-debug-symbols.patch: added
    - build-with-system-enet.patch: added

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 13 Feb 2012 14:48:41 +0100

=== debian/control ===
Source: redeclipse
Section: contrib/games
Priority: optional
Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
               imagemagick,
               libenet-dev,
               libgl1-mesa-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl1.2-dev,
               libx11-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.redeclipse.net
Vcs-Git: git://git.debian.org/pkg-games/redeclipse.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/redeclipse.git;a=summary

Package: redeclipse
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: redeclipse-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: single-player and multi-player first-person ego-shooter
 A single-player and multi-player first-person ego-shooter, built as a
 total conversion of Cube Engine 2, which lends itself toward a balanced
 gameplay, with a general theme of agility in a variety of environments.

Package: redeclipse-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: redeclipse (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for the Red Eclipse FPS game
 This package contains the debugging symbols for the Red Eclipse FPS game.

Package: redeclipse-server
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: server for the Red Eclipse FPS game
 This package contains the dedicated server for the Red Eclipse FPS game, it
 also includes some example scripts for configuring the server. It contains no
 init integration.

Package: redeclipse-server-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: redeclipse-server (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for the Red Eclipse dedicated server
 This package contains the debugging symbols for the dedicated server of the
 Red Eclipse FPS game.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=src

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- client server icons

override_dh_strip:
	dh_strip -predeclipse --dbg-package=redeclipse-dbg
	dh_strip -predeclipse-server --dbg-package=redeclipse-server-dbg
	dh_strip

override_dh_auto_install:
	dh_auto_install -- prefix=/usr games=/games gamesbin=/games \
		system-install-client system-install-server \
		system-install-docs system-install-menus
	install -d debian/tmp/usr/share/pixmaps
	convert 'src/redeclipse.ico[1]' \
		debian/tmp/usr/share/pixmaps/redeclipse.xpm

override_dh_builddeb:
	dh_builddeb -- -Zxz

VER=$(shell dpkg-parsechangelog | sed -rne 's/^Version: ([^-]+).*/\1/p')
DIR=redeclipse-$(VER).orig
TAR=redeclipse_$(VER).orig.tar.bz2
get-orig-source:
	uscan --noconf --force-download --download-current-version --destdir=.
	rm -rf $(DIR)
	tar -xf $(TAR)
	rm -f $(TAR)
	mv redeclipse/ $(DIR)
	rm -rf $(DIR)/src/include/
	rm -rf $(DIR)/src/xcode/
	rm -rf $(DIR)/src/lib/
	rm -rf $(DIR)/src/install/win/
	rm -rf $(DIR)/bin/
	find $(DIR)/data/ -mindepth 1 -not -wholename "*examples*" -delete
	BZIP2="-9" tar -cj --owner root --group root --mode a+rX \
		-f $(TAR) $(DIR)
	rm -rf $(DIR)

## redeclipse 1.3.1

=== debian/changelog ===
redeclipse (1.3.1-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1046070)

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 15 Sep 2012 23:33:12 -0500

redeclipse (1.3.1-1) experimental; urgency=low

  * New upstream release
  * XZ compression for orig tarball
  * No more icon conversion in build
    - Drop ImageMagick build-dependency
  * Dropped debian/patches/build-with-ldflags.patch, upstreamed
  * Add unversioned lib dependency alternatives
    - libgl1-mesa-dev | libgl-dev
    - libsdl1.2-dev | libsdl-dev
    - lib1g-dev | libz-dev
  * Enable hardening build flags
    - dh compat level 9
    - Removed build-with-debug-symbols.patch:
      Now handled in d/rules instead
  * Enable paralell build
  * debian/copyright now generated from upstream equivalent

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sat, 01 Sep 2012 21:11:34 +0200

redeclipse (1.2-3) unstable; urgency=high

  * Add debian/patches/security-text-command-fix.patch
    - File access security fix (Closes: #684143)

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 27 Feb 2012 13:53:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: contrib/games
 Priority: optional
 Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8),
-               imagemagick,
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9),
                libenet-dev,
-               libgl1-mesa-dev,
+               liblg1-mesa-dev | libgl-dev,
                libsdl-image1.2-dev,
                libsdl-mixer1.2-dev,
-               libsdl1.2-dev,
+               libsdl1.2-dev | libsdl-dev,
                libx11-dev,
-               zlib1g-dev
+               zlib1g-dev | libz-dev
 Standards-Version: 3.9.3
 Homepage: http://www.redeclipse.net
 Vcs-Git: git://git.debian.org/pkg-games/redeclipse.git
@@ -24,10 +22,19 @@
 Depends: redeclipse-data (>= ${source:Upstream-Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Description: single-player and multi-player first-person ego-shooter
- A single-player and multi-player first-person ego-shooter, built as a
- total conversion of Cube Engine 2, which lends itself toward a balanced
- gameplay, with a general theme of agility in a variety of environments.
+Description: multiplayer FPS game based on Cube2
+ A single-player and multi-player first-person ego-shooter, built on Cube
+ Engine 2, which lends itself toward a balanced gameplay, completely at the
+ control of map makers, while maintaining a general theme of agility in a
+ variety of environments.
+ .
+ Features:
+  * Balanced gameplay, with a general theme of agility in a variety of
+    environments
+  * Parkour, impulse boosts, dashing, sliding, and other tricks
+  * Favourite gamemodes with tons of mutators and variables
+  * Available for Windows, Linux/BSD and Mac OSX
+  * Builtin editor lets you create your own maps cooperatively online
 
 Package: redeclipse-dbg
 Section: contrib/debug

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src --parallel

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		client server

override_dh_strip:
	dh_strip -predeclipse --dbg-package=redeclipse-dbg
	dh_strip -predeclipse-server --dbg-package=redeclipse-server-dbg

override_dh_auto_install:
	dh_auto_install -- \
		CXXFLAGS="$(CXXFLAGS)" \
		prefix=/usr games=/games gamesbin=/games \
		system-install-client system-install-server \
		system-install-docs system-install-menus

override_dh_compress:
	dh_compress --exclude=.cfg

override_dh_builddeb:
	dh_builddeb -- -Zxz

VER=$(shell dpkg-parsechangelog | sed -rne 's/^Version: ([^-]+).*/\1/p')
DIR=redeclipse-$(VER).orig
UTAR=redeclipse_$(VER).orig.tar.bz2
TAR=redeclipse_$(VER).orig.tar.xz
get-orig-source:
	uscan --noconf --force-download --download-current-version --destdir=.
	rm -rf $(DIR)
	tar -xf $(UTAR)
	rm -f $(UTAR)
	mv redeclipse/ $(DIR)
	rm -rf $(DIR)/src/include/
	rm -rf $(DIR)/src/xcode/
	rm -rf $(DIR)/src/lib/
	rm -rf $(DIR)/src/lib64/
	rm -rf $(DIR)/src/install/win/
	rm -rf $(DIR)/bin/
	rm -rf $(DIR)/bin64/
	rm -rf $(DIR)/data/
	XZ_OPT="-6" tar --create --xz --owner root --group root --mode a+rX \
		-f $(TAR) $(DIR)
	rm -rf $(DIR)

## redeclipse 1.4

=== src/Makefile ===
APPNAME=redeclipse

all:

include redeclipse.mk

include core.mk

=== debian/changelog ===
redeclipse (1.4-5) unstable; urgency=low

  * Standards-Version 3.9.5 (no changes)
  * Fix FTBFS on hurd-i386: missing link to rt (Closes: #712894)
    - Add debian/patches/gnu-link-rt.patch

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Tue, 17 Dec 2013 18:26:55 +0100

redeclipse (1.4-4) unstable; urgency=low

  * Fix FTBFS due to d/control typo lib{lg->gl}1-mesa-dev (Closes: #707028)
  * Standards-Version 3.9.4 (no changes)

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sat, 11 May 2013 11:53:10 +0200

redeclipse (1.4-3) unstable; urgency=low

  * Upload to unstable
  * Remove unused screenshot entries for Ubuntu

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sun, 05 May 2013 22:04:18 +0200

redeclipse (1.4-2) experimental; urgency=low

  * Fix broken server-only installs
    - Add upstream server install patch
    - Add upstream patch enabling the server to start without data

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 25 Mar 2013 21:18:33 +0100

redeclipse (1.4-1) experimental; urgency=low

  * New upstream release
  * Move server examples to /usr/share/games/doc/redeclipse/
  * Added screenshot URL for Ubuntu
  * Removed Enet from source package (unused)
  * Drop dpkg Pre-Depends (upgrades from old Ubuntu versions not relevant)
  * Include version.cfg in tarball, required for server

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Fri, 15 Feb 2013 00:30:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,19 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                libenet-dev,
-               liblg1-mesa-dev | libgl-dev,
+               libgl1-mesa-dev | libgl-dev,
                libsdl-image1.2-dev,
                libsdl-mixer1.2-dev,
                libsdl1.2-dev | libsdl-dev,
                libx11-dev,
                zlib1g-dev | libz-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.redeclipse.net
-Vcs-Git: git://git.debian.org/pkg-games/redeclipse.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/redeclipse.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-games/redeclipse.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/redeclipse.git
 
 Package: redeclipse
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: redeclipse-data (>= ${source:Upstream-Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -40,14 +39,12 @@
 Section: contrib/debug
 Priority: extra
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: redeclipse (= ${binary:Version}), ${misc:Depends}
 Description: debug symbols for the Red Eclipse FPS game
  This package contains the debugging symbols for the Red Eclipse FPS game.
 
 Package: redeclipse-server
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: server for the Red Eclipse FPS game
  This package contains the dedicated server for the Red Eclipse FPS game, it
@@ -58,7 +55,6 @@
 Section: contrib/debug
 Priority: extra
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: redeclipse-server (= ${binary:Version}), ${misc:Depends}
 Description: debug symbols for the Red Eclipse dedicated server
  This package contains the debugging symbols for the dedicated server of the

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@ --sourcedirectory=src --parallel
-
-override_dh_auto_clean:
-	dh_auto_clean
 
 override_dh_auto_build:
 	dh_auto_build -- \
@@ -23,6 +20,7 @@
 override_dh_auto_install:
 	dh_auto_install -- \
 		CXXFLAGS="$(CXXFLAGS)" \
+		ICON="" \
 		prefix=/usr games=/games gamesbin=/games \
 		system-install-client system-install-server \
 		system-install-docs system-install-menus
@@ -42,15 +40,16 @@
 	rm -rf $(DIR)
 	tar -xf $(UTAR)
 	rm -f $(UTAR)
-	mv redeclipse/ $(DIR)
+	mv redeclipse-$(VER)/ $(DIR)
 	rm -rf $(DIR)/src/include/
+	rm -rf $(DIR)/src/enet/
 	rm -rf $(DIR)/src/xcode/
 	rm -rf $(DIR)/src/lib/
-	rm -rf $(DIR)/src/lib64/
 	rm -rf $(DIR)/src/install/win/
 	rm -rf $(DIR)/bin/
-	rm -rf $(DIR)/bin64/
-	rm -rf $(DIR)/data/
+	rm -rf $(DIR)/data
+	find $(DIR)/game/ -not -type d -not -iname 'version.cfg' -delete
+	find $(DIR)/game/ -empty -delete
 	XZ_OPT="-6" tar --create --xz --owner root --group root --mode a+rX \
 		-f $(TAR) $(DIR)
 	rm -rf $(DIR)

=== debian/watch ===
version=3
http://sf.net/redeclipse/redeclipse_([0-9\.]+)_(?:linux|nix)(?:_bsd)?.tar\.bz2

## redeclipse 1.5.1

=== debian/changelog ===
redeclipse (1.5.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Vcs-Browser: Switch to cgit and https.

 -- Markus Koschany <apo@debian.org>  Mon, 23 Nov 2015 22:34:35 +0100

redeclipse (1.5.1-1) experimental; urgency=low

  * New upstream release 1.5 "Aurora Edition" Patch 1
    - See release announcement at
      https://github.com/red-eclipse/base/releases/tag/v1.5.0 for upstream
      changelog
    - Keep "Red Eclipse" untranslated as a proper name (Closes: #734407)
  * Update description to read "cross-platform multiplayer" instead of listing
    supported OS (Closes: #763651)
  * Drop upstreamed patches
    - Delete don-t-check-for-keymap-when-using-standalone.patch
    - Delete gnu-link-rt.patch
  * Bump standards-version to 3.9.6, no changes
  * Add redeclipse-common package for client/server shared files
    - Add system-install-Add-common-install-target-for-common-.patch
  * Add AppData file via upstream patches
    - Add appdate-Use-template-set-at-install-name.patch
    - Add appdata-Upgrade-via-appstream-util.patch
    - Add appdata-Fill-in-remove-FIXMEs.patch
    - Add appdata-Update-description-screenshots.patch
    - Add system-install-Install-appdata.patch
  * Make sure guidelines.txt is accessible by client for first-connect
    - Add system-install-Add-doc-link-for-client-finding-guide.patch
  * Use make variables instead of patch to build with system Enet
    - Drop build-with-system-enet.patch

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 13 Apr 2015 18:35:56 +0200

redeclipse (1.4-6) unstable; urgency=medium

  [ Markus Koschany ]
  * Move Red Eclipse to the main archive since it fully complies with the DFSG.

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sat, 09 Aug 2014 18:32:43 +0200

=== debian/control ===
Source: redeclipse
Section: games
Priority: optional
Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               ed,
               libenet-dev,
               libgl1-mesa-dev | libgl-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl1.2-dev | libsdl-dev,
               libx11-dev,
               zlib1g-dev | libz-dev
Standards-Version: 3.9.6
Homepage: http://www.redeclipse.net
Vcs-Git: git://anonscm.debian.org/pkg-games/redeclipse.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/redeclipse.git

Package: redeclipse
Architecture: any
Depends: redeclipse-common (>= ${source:Upstream-Version}),
         redeclipse-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: free, casual arena shooter
 A fun-filled, casual, first person arena shooter, built as a total conversion
 of Cube Engine 2, which lends itself toward a balanced gameplay, with a
 general theme of agility in a variety of environments.
 .
  * Cross-platform multiplayer
  * Features parkour, impulse boosts, dashing, and other tricks
  * Favourite gamemodes with an array of mutators and variables
  * Builtin editor lets you create your own maps cooperatively online

Package: redeclipse-dbg
Section: debug
Priority: extra
Architecture: any
Depends: redeclipse (= ${binary:Version}),
         ${misc:Depends}
Description: debug symbols for the Red Eclipse FPS game
 This package contains the debugging symbols for the Red Eclipse FPS game.

Package: redeclipse-server
Architecture: any
Depends: redeclipse-common (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: server for the Red Eclipse FPS game
 This package contains the dedicated server for the Red Eclipse FPS game, it
 also includes some example scripts for configuring the server. It contains no
 init integration.

Package: redeclipse-server-dbg
Section: debug
Priority: extra
Architecture: any
Depends: redeclipse-server (= ${binary:Version}),
         ${misc:Depends}
Description: debug symbols for the Red Eclipse dedicated server
 This package contains the debugging symbols for the dedicated server of the
 Red Eclipse FPS game.

Package: redeclipse-common
Architecture: all
Depends: ${misc:Depends}
Description: common config files for the Red Eclipse FPS game
 This package contains the common config files for the server and client of the
 Red Eclipse FPS game.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --sourcedirectory=src --parallel

override_dh_auto_clean:
	$(MAKE) -C src/ clean-client clean-server
	rm -rf enet

override_dh_auto_build:
	mkdir -p enet/include
	dh_auto_build -- \
		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) -ffast-math" \
		LIBENET="" \
		client server

override_dh_strip:
	dh_strip -predeclipse --dbg-package=redeclipse-dbg
	dh_strip -predeclipse-server --dbg-package=redeclipse-server-dbg

override_dh_auto_install:
	$(MAKE) -C src/ \
		LIBENET="" \
		DESTDIR=$(CURDIR)/debian/tmp \
		prefix=/usr games=/games gamesbin=/games \
		system-install-client system-install-server \
		system-install-common system-install-docs system-install-menus

override_dh_install:
	dh_install -predeclipse
	dh_install -predeclipse-server
	dh_install -predeclipse-common --exclude=play.cfg

override_dh_compress:
	dh_compress --exclude=.cfg --exclude=guidelines.txt

override_dh_builddeb:
	dh_builddeb -- -Zxz

DIR=redeclipse-$(DEB_VERSION_UPSTREAM).orig
get-orig-source:
	uscan --noconf --rename --force-download --download-current-version --destdir=.
	rm -rf $(DIR)
	tar -xf redeclipse_$(DEB_VERSION_UPSTREAM).orig.tar.gz
	rm -f redeclipse_$(DEB_VERSION_UPSTREAM).orig.tar.gz
	mv base-$(DEB_VERSION_UPSTREAM)/ $(DIR)
	rm -rf $(DIR)/src/include/
	rm -rf $(DIR)/src/enet/
	rm -rf $(DIR)/src/xcode/
	rm -rf $(DIR)/src/lib/
	rm -rf $(DIR)/src/install/win/
	rm -rf $(DIR)/bin/
	rm -rf $(DIR)/data/
	rm -f $(DIR)/*.bat
	find $(DIR) -type f -iname '.git*' -delete
	XZ_OPT="-6" tar --create --xz --owner root --group root --mode a+rX \
		-f redeclipse_$(DEB_VERSION_UPSTREAM).orig.tar.xz $(DIR)
	rm -rf $(DIR)
